| Face Engine SDK 5.2.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::ICredibilityCheckEstimator Struct Referenceabstract

CredibilityCheck estimator interface. More...

`#include <ICredibilityCheckEstimator.h>`

Inheritance diagram for fsdk::ICredibilityCheckEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &warp, CredibilityCheckEstimation &out) const noexcept=0
| Estimate the reliability of person. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< CredibilityCheckEstimation > out) const noexcept=0
| Estimate the reliability of persons on multiple frames in a single estimate function call. More...
virtual Result< FSDKError > | validate (Span< const Image > warps, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

CredibilityCheck estimator interface.

Note
  This estimator is designed for person reliability estimation. It works with warped image

See Also
  IWarper for details.

## Member Function Documentation

virtual Result<FSDKError> fsdk::ICredibilityCheckEstimator::estimate | ( | const Image & | warp,
|  | CredibilityCheckEstimation & | out
| ) |  | const
| pure virtual noexcept

Estimate the reliability of person.

Parameters

  [in] | warped | image in R8G8B8 format.
  [out] | CredibilityCheckEstimation | output structure.

Returns
  ResultValue with error code.

virtual Result<FSDKError> fsdk::ICredibilityCheckEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< CredibilityCheckEstimation > | out
| ) |  | const
| pure virtual noexcept

Estimate the reliability of persons on multiple frames in a single estimate function call.

Parameters

  [in] | images | span of input images.
  [out] | out | output span of CredibilityCheckEstimation for each image;

See Also
  Span for mode info.

Returns
  Error code;

See Also
  FSDKError for details.
  Span for mode info.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

virtual Result<FSDKError> fsdk::ICredibilityCheckEstimator::validate | ( | Span< const Image > | warps,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | images | warps span
  [out] | errors | output span of errors for each image.

Returns
  Error code;

See Also
  FSDKError for details.

Note
  all spans should be based on user owned continuous collections.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/ICredibilityCheckEstimator.h